# Uses of Class
javafx.scene.control.CheckBoxTreeItem

Packages that use CheckBoxTreeItem
Package
Description
javafx.scene.control
The JavaFX User Interface Controls (UI Controls or just Controls) are specialized Nodes in the JavaFX Scenegraph especially suited for reuse in many different application contexts.

## Uses of CheckBoxTreeItem in javafx.scene.control

Methods in javafx.scene.control that return CheckBoxTreeItem
Modifier and Type
Method
Description
`CheckBoxTreeItem<T>`
CheckBoxTreeItem.TreeModificationEvent.`getTreeItem()`
Returns the CheckBoxTreeItem that this event occurred upon.
Constructors in javafx.scene.control with parameters of type CheckBoxTreeItem
Modifier
Constructor
Description
``
`TreeModificationEvent(EventType<? extends Event> eventType, CheckBoxTreeItem<T> treeItem, boolean selectionChanged)`
Creates a default TreeModificationEvent instance to represent the change in selection/indeterminate states for the given CheckBoxTreeItem instance.